%define LANG pl
%define version 0.4
%define release 2mdk

Summary: Man pages in polish language
Summary(pl): Strony man w polskiej wersji jezykowej
Name: man-pages-%{LANG}
Version: %{version}
Release: %{release}
Packager: Pawel Jablonski <pj@linux-mandrake.com>
License: GPL
Group: System/Internationalization
#Group(pl): Dokumentacja
Source: http:/ptm.linux.pl/man-PL.tar.bz2
Source1: makewhatis.%{LANG}.bz2
Icon: books-%{LANG}.xpm
URL: http://ptm.linux.pl/
Buildroot: %_tmppath/%{name}
Prereq: sed grep man
Autoreqprov: false
BuildArchitectures: noarch
Requires: locales-%{LANG}
Obsoletes: man-%{LANG}, manpages-%{LANG}
Provides: man-%{LANG}

%description
A collection of man pages for Linux in polish language

%description -l pl
Zbir stron man dla Linuxa w jzyku polskim

%prep
%setup -q -n pl_PL

%build
for i in 1 2 3 4 5 6 7 8 9 n; do
        rm -rf man$i/CVS
done

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/%{LANG}/
mkdir -p $RPM_BUILD_ROOT/var/catman/%{LANG}/cat{1,2,3,4,5,6,7,8,9,n}

for i in 1 2 3 4 5 6 7 8 9 n; do
	cp -avrf man$i $RPM_BUILD_ROOT/%{_mandir}/%{LANG}/
done

# those files conflict whith rpm package
rm $RPM_BUILD_ROOT/%{_mandir}/pl/man8/rpm.8

# spechelper fails here!!!
find $RPM_BUILD_ROOT/%{_mandir} -type f -exec bzip2 -9f {} \;

mkdir -p $RPM_BUILD_ROOT/usr/sbin
bzcat $RPM_SOURCE_DIR/makewhatis.%{LANG}.bz2 > \
        $RPM_BUILD_ROOT/usr/sbin/makewhatis.%{LANG}
chmod a+rx $RPM_BUILD_ROOT/usr/sbin/makewhatis.%{LANG}

$RPM_BUILD_ROOT/usr/sbin/makewhatis.%{LANG} \
	$RPM_BUILD_ROOT/%{_mandir}/%{LANG}

mkdir -p $RPM_BUILD_ROOT/etc/cron.weekly
cat > $RPM_BUILD_ROOT/etc/cron.weekly/makewhatis-%{LANG}.cron << EOF
#!/bin/bash
/usr/sbin/makewhatis.%{LANG} /%{_mandir}/%{LANG}
exit 0
EOF
chmod a+x $RPM_BUILD_ROOT/etc/cron.weekly/makewhatis-%{LANG}.cron

%post
/etc/cron.weekly/makewhatis-%{LANG}.cron

%postun
# 0 means deleting the package
if [ "$1" = "0" ]; then
   ## Force removing of /var/catman/%{LANG}, if there isn't any man page
   ## directory /%{_mandir}/%{LANG}
   if [ ! -d /%{_mandir}/%{LANG} ] ; then
       rm -rf /var/catman/%{LANG}
   fi
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,man,0755)
%doc FAQ robotnicy
%defattr(644,root,man,2755)
%dir /%{_mandir}/%{LANG}
/%{_mandir}/%{LANG}/man*
%ghost /%{_mandir}/%{LANG}/whatis
%attr(775,root,man)/var/catman/%{LANG}
%attr(755,root,root)/usr/sbin/makewhatis.%{LANG}
%config %attr(755,root,root)/etc/cron.weekly/makewhatis-%{LANG}.cron

%changelog
* Tue May 01 2001 David BAUDENS <baudens@mandrakesoft.com> 0.4-2mdk
- Use %%_tmppath for BuildRoot

* Wed Aug 30 2000 Denis Havlik <denis@mandrakesoft.com> 0.4-1mdk
- updated to newest (aug 16-th 2000) version. many new man-pages...

* Tue Jul 18 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.3-7mdk
- BM

* Mon Jun 26 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.3-6mdk
- use mandir macro in order to be ok when switching to /usr/share/man as
  following FHS.

* Tue Apr 11 2000 Denis Havlik <denis@mandrakesoft.com> 0.3-5mdk
- Group: System/Internationalization
- dir permissions

* Mon Jan 10 2000 Pablo Saratxaga <pablo@mandrakesoft.com>
- removed rpm(8), it conflicts with file provided by rpm

* Fri Nov 19 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- moved makewhatis.%{LANG} from /usr/local/sbin to /usr/sbin

* Tue Oct 21 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- fixed Requires typo

*Sat Oct 9 1999 Pawe Jaboski <pj@linux-mandrake.com>
- updated man pages

* Tue Jul 20 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- added makewhatis.pl and its cron entry
- use a lot of macro %{LANG} (that helps me to do cut-n-paste between
  various man-pages-* packages to add new ideas/features on all of them :) )

* Fri Jul 19 1999 Pawe Jaboski <pj@linux-mandrake.com>
- Initial Mandrake rpm version

